Skip to main content
POST
/
wireguard_interfaces
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const wireguardInterface = await client.wireguardInterfaces.create({ region_code: 'ashburn-va' });

console.log(wireguardInterface.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
wireguard_interface = client.wireguard_interfaces.create(
region_code="ashburn-va",
)
print(wireguard_interface.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
wireguardInterface, err := client.WireguardInterfaces.New(context.TODO(), telnyx.WireguardInterfaceNewParams{
RegionCode: "ashburn-va",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", wireguardInterface.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.wireguardinterfaces.WireguardInterfaceCreateParams;
import com.telnyx.sdk.models.wireguardinterfaces.WireguardInterfaceCreateResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

WireguardInterfaceCreateResponse wireguardInterface = client.wireguardInterfaces().create();
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

wireguard_interface = telnyx.wireguard_interfaces.create(region_code: "ashburn-va")

puts(wireguard_interface)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$wireguardInterface = $client->wireguardInterfaces->create(
regionCode: 'ashburn-va',
enableSipTrunking: false,
name: 'test interface',
networkID: '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
);

var_dump($wireguardInterface);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx wireguard-interfaces create \
--api-key 'My API Key' \
--region-code ashburn-va
curl --request POST \
--url https://api.telnyx.com/v2/wireguard_interfaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"network_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"region_code": "ashburn-va",
"name": "test interface",
"enable_sip_trunking": false
}
'
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "record_type": "wireguard_interface",
    "created_at": "2018-02-02T22:25:27.521Z",
    "updated_at": "2018-02-02T22:25:27.521Z",
    "network_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "name": "test interface",
    "status": "provisioned",
    "endpoint": "203.0.113.0:51871",
    "public_key": "qF4EqlZq+5JL2IKYY8ij49daYyfKVhevJrcDxdqC8GU=",
    "enable_sip_trunking": false,
    "region_code": "ashburn-va",
    "region": {
      "code": "ashburn-va",
      "name": "Ashburn",
      "record_type": "region"
    }
  }
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}
{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
network_id
string<uuid>
required

The id of the network associated with the interface.

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

region_code
string
required

The region the interface should be deployed to.

Example:

"ashburn-va"

name
string

A user specified name for the interface.

Example:

"test interface"

enable_sip_trunking
boolean

Enable SIP traffic forwarding over VPN interface.

Example:

false

Response

Successful response

data
WireguardInterface · object